### Hierarchy

- unknown
  - XmrIncomingTransfer

## Index

### Constructors

- constructor

### Methods

- getAccountIndex
- getAddress
- getAmount
- getNumSuggestedConfirmations
- getSubaddressIndex
- serializeBinary
- setAccountIndex
- setAddress
- setAmount
- setNumSuggestedConfirmations
- setSubaddressIndex
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new XmrIncomingTransfer(): XmrIncomingTransfer

- Inherited from jspb.Message.constructor

  #### Returns XmrIncomingTransfer

## Methods

### getAccountIndex

- getAccountIndex(): number

- - Defined in src/protobuf/grpc_pb.d.ts:3175

  #### Returns number

### getAddress

- getAddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3181

  #### Returns string

### getAmount

- getAmount(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3172

  #### Returns string

### getNumSuggestedConfirmations

- getNumSuggestedConfirmations(): number

- - Defined in src/protobuf/grpc_pb.d.ts:3184

  #### Returns number

### getSubaddressIndex

- getSubaddressIndex(): number

- - Defined in src/protobuf/grpc_pb.d.ts:3178

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3187

  #### Returns Uint8Array

### setAccountIndex

- setAccountIndex(value: number): XmrIncomingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3176

  #### Parameters

  - ##### value: number

  #### Returns XmrIncomingTransfer

### setAddress

- setAddress(value: string): XmrIncomingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3182

  #### Parameters

  - ##### value: string

  #### Returns XmrIncomingTransfer

### setAmount

- setAmount(value: string): XmrIncomingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3173

  #### Parameters

  - ##### value: string

  #### Returns XmrIncomingTransfer

### setNumSuggestedConfirmations

- setNumSuggestedConfirmations(value: number): XmrIncomingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3185

  #### Parameters

  - ##### value: number

  #### Returns XmrIncomingTransfer

### setSubaddressIndex

- setSubaddressIndex(value: number): XmrIncomingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3179

  #### Parameters

  - ##### value: number

  #### Returns XmrIncomingTransfer

### toObject

- toObject(includeInstance?: boolean): XmrIncomingTransfer . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3188

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns XmrIncomingTransfer . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): XmrIncomingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3191

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns XmrIncomingTransfer

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: XmrIncomingTransfer, reader: BinaryReader): XmrIncomingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3192

  #### Parameters

  - ##### message: XmrIncomingTransfer

  - ##### reader: BinaryReader

  #### Returns XmrIncomingTransfer

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: XmrIncomingTransfer, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3190

  #### Parameters

  - ##### message: XmrIncomingTransfer

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: XmrIncomingTransfer ): XmrIncomingTransfer . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3189

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: XmrIncomingTransfer

  #### Returns XmrIncomingTransfer . AsObject

Generated using TypeDoc